Bug 447131 - PackageKit does not show dependices when installing new packages
PackageKit does not show dependices when installing new packages
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 23:14 EDT by Dan Kozlowski
Modified: 2008-07-04 05:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-04 05:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Kozlowski 2008-05-17 23:14:56 EDT
Description of problem:
When a new package is selected for installation the list of dependent packages
that are going to be pulled in is not presented, this also means information
like, size of files required to be downloaded or number of packages being
installed is not presented, package kit should generate a queue of packages to
be installed and present this list to the user for approval. 


Version-Release number of selected component (if applicable):
0.1.12
Comment 1 Richard Hughes 2008-05-20 04:58:49 EDT
Yes, it should do that already. How did you select the package to install? using
gpk-application?
Comment 2 Richard Hughes 2008-05-20 04:59:17 EDT
Yes, it should do that already. How did you select the package to install? using
gpk-application?
Comment 3 Dan Kozlowski 2008-05-20 18:34:57 EDT
In the Install/Remove Software Application ( System->Administration->Add/Remove
Software)

Comment 4 Emil Librea III 2008-05-25 09:52:17 EDT
I confirm this behavior with PackageKit-0.1.12-10.20080505.fc9.i386.
Comment 5 Richard Hughes 2008-06-03 09:34:47 EDT
Could you give me an example pls?
Comment 6 Dan Kozlowski 2008-06-03 10:02:24 EDT
For example, 

From a console:
====================================
yum install inkscape 
......
Dependencies Resolved

....
Transaction Summary
=============================================================================
Install     14 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 32 M
Is this ok [y/N]: 
=====================================

From the Add/Remove Software App (gpk-application)
highlighting Inkscape and pressing install downloads the 32M of files and
installs all 14 packages with no information presented to me that dependencies
were pulled in or were being installed. 
Comment 7 Richard Hughes 2008-07-04 05:49:44 EDT
Right, 0.2.x and 0.3.0 should do the right thing here. I'll be pushing 0.2.3
into F9 in a few days if there are no big problem with it.

Note You need to log in before you can comment on or make changes to this bug.